com.aliyun.svideosdk.editor.draft

## Class AliyunDraft

- java.lang.Object
- - com.aliyun.svideosdk.editor.draft.AliyunDraft

-     public class AliyunDraft
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunDraft()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Config` | `getConfig()` Gets the draft config.
    `java.lang.String` | `getCoverPath()` Gets the draft cover path.
    `long` | `getDuration()` Gets the draft duration.
    `java.lang.String` | `getEditorProjectUri()` Gets the draft config uri.
    `long` | `getFileSize()` Gets the draft all file size.
    `java.lang.String` | `getId()` Gets the draft id.
    `java.lang.String` | `getName()` Gets the draft name.
    `java.lang.String` | `getProjectId()` Gets the project id.
    `long` | `getUpdateTime()` Gets draft last update time.
    `protected void` | `setConfig(Config config)` Sets the draft config.
    `protected void` | `setCoverPath(java.lang.String coverPath)` Sets the draft cover path.
    `protected void` | `setDuration(long duration)` Sets the draft duration.
    `protected void` | `setEditorProjectUri(java.lang.String editorProjectUri)` Sets the draft config uri.
    `protected void` | `setFileSize(long fileSize)` Sets the draft all file size.
    `protected void` | `setId(java.lang.String id)` Sets the draft id.
    `void` | `setName(java.lang.String name)` Sets the draft name.
    `void` | `setProjectId(java.lang.String projectId)` Sets the project id.
    `protected void` | `setUpdateTime(long updateTime)` Sets draft last update time.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunDraft

          public AliyunDraft()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the draft id.
      Returns:
        draft id.

    - #### setId

          protected void setId(java.lang.String id)

      Sets the draft id.
      Parameters:
        `id` - draft id

    - #### getProjectId

          public java.lang.String getProjectId()

      Gets the project id.
      Returns:
        project id.

    - #### setProjectId

          public void setProjectId(java.lang.String projectId)

      Sets the project id.
      Parameters:
        `projectId` - project id

    - #### getName

          public java.lang.String getName()

      Gets the draft name.
      Returns:
        draft name

    - #### setName

          public void setName(java.lang.String name)

      Sets the draft name.
      Parameters:
        `name` - draft name

    - #### getCoverPath

          public java.lang.String getCoverPath()

      Gets the draft cover path.
      Returns:
        cover path

    - #### setCoverPath

          protected void setCoverPath(java.lang.String coverPath)

      Sets the draft cover path.
      Parameters:
        `coverPath` - cover path

    - #### getFileSize

          public long getFileSize()

      Gets the draft all file size.
      Returns:
        file size

    - #### setFileSize

          protected void setFileSize(long fileSize)

      Sets the draft all file size.
      Parameters:
        `fileSize` - file size

    - #### getUpdateTime

          public long getUpdateTime()

      Gets draft last update time.
      Returns:
        update time

    - #### setUpdateTime

          protected void setUpdateTime(long updateTime)

      Sets draft last update time.
      Parameters:
        `updateTime` - last update time

    - #### getDuration

          public long getDuration()

      Gets the draft duration.
      Returns:
        duration

    - #### setDuration

          protected void setDuration(long duration)

      Sets the draft duration.
      Parameters:
        `duration` - duration

    - #### getEditorProjectUri

          public java.lang.String getEditorProjectUri()

      Gets the draft config uri.
      Returns:
        draft config uri

    - #### setEditorProjectUri

          protected void setEditorProjectUri(java.lang.String editorProjectUri)

      Sets the draft config uri.
      Parameters:
        `editorProjectUri` - draft config uri

    - #### getConfig

          public Config getConfig()

      Gets the draft config.
      Returns:
        draft config

    - #### setConfig

          protected void setConfig(Config config)

      Sets the draft config.
      Parameters:
        `config` - draft config